Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.frontier
Class SurtAuthorityQueueAssignmentPolicy

    java.lang.Object
      org.archive.crawler.frontier.QueueAssignmentPolicy
          org.archive.crawler.frontier.SurtAuthorityQueueAssignmentPolicy

Direct Known Subclasses:
  TopmostAssignedSurtQueueAssignmentPolicy

    public class SurtAuthorityQueueAssignmentPolicy

extends QueueAssignmentPolicy

SurtAuthorityQueueAssignmentPolicy based on the surt form of hostname.

Constructor Summary
`SurtAuthorityQueueAssignmentPolicy()`

Method Summary
`java.lang.String` | `getClassKey(CrawlController controller, CandidateURI cauri)` Get the String key (name) of the queue to which the CrawlURI should be assigned.
`protected java.lang.String` | `getSurtAuthority(java.lang.String surt)`

Methods inherited from class org.archive.crawler.frontier.QueueAssignmentPolicy
`maximumNumberOfKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurtAuthorityQueueAssignmentPolicy

    public SurtAuthorityQueueAssignmentPolicy()

Method Detail

### getClassKey

    public java.lang.String getClassKey(CrawlController controller,
                                        CandidateURI cauri)

  Description copied from class: `QueueAssignmentPolicy`
  Get the String key (name) of the queue to which the CrawlURI should be assigned. Note that changes to the CrawlURI, or its associated components (such as CrawlServer), may change its queue assignment.

  Specified by:
    `getClassKey` in class `QueueAssignmentPolicy`
  Parameters:
    `controller` - This crawls' controller.
    `cauri` - CandidateURI to calculate class key for.
  Returns:
    the String key of the queue to assign the CrawlURI

### getSurtAuthority

    protected java.lang.String getSurtAuthority(java.lang.String surt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.